Skip to main content
`Ctrl`+`K`

# SNES_CONVERGED_SNORM_RELATIVE

The 2-norm of the last step <= stol * 2-norm(x) where x is the current solution and stol is the 4th argument to `SNESSetTolerances()`

## Options Database Key

-snes_stol <stol> - the step tolerance

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSolve()`, `SNESGetConvergedReason()`, `SNESConvergedReason`, `SNESSetTolerances()`

## Level

beginner

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages